Bug 26767 - patch required to build netpbm against glibc cvs
patch required to build netpbm against glibc cvs
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: netpbm (Show other bugs)
7.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
Brian Brock
Florence Gold
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-08 20:01 EST by Jack Howarth
Modified: 2015-03-04 20:08 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-09 18:09:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jack Howarth 2001-02-08 20:01:58 EST
Because of the time header changes a patch is required to build netpbm
against
glibc cvs. While I am not sure if this is the best patch to use...the
following does allow
netpbm to compile...

diff -uNr netpbm-9.9/pnm/fiasco/lib/misc.c
netpbm-9.9.new/pnm/fiasco/lib/misc.c
--- netpbm-9.9/pnm/fiasco/lib/misc.c	Sat Feb  3 22:44:19 2001
+++ netpbm-9.9.new/pnm/fiasco/lib/misc.c	Sat Feb  3 22:45:41 2001
@@ -23,7 +23,6 @@
 #include <ctype.h>
 
 #ifdef TIME_WITH_SYS_TIME
-#	include <sys/time.h>
 #	include <time.h>
 #else  /* not TIME_WITH_SYS_TIME */
 #	if HAVE_SYS_TIME_H
Comment 1 Glen Foster 2001-02-09 18:09:19 EST
We (Red Hat) should really try to resolve this before next release.

Note You need to log in before you can comment on or make changes to this bug.